package com.jusfoun.ydylsz.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.jusfoun.ydylsz.vo.StorageTemperatureWarning;
import com.jusfoun.ydylsz.vo.TemperatureAndHumidityCheck;

@Mapper
public interface StorageTemperatureWarningMapper {

	/**
	 * 插入数据
	 * @param record
	 * @return
	 */
    int insert(StorageTemperatureWarning record);

    /**
     * 条件查询
     * @param storageTemperatureWarning
     * @return
     */
    List<StorageTemperatureWarning> list(StorageTemperatureWarning storageTemperatureWarning);

    /**
     * 查询测温数据和对应预警设置数据
     * @return
     */
    List<TemperatureAndHumidityCheck> getTTestDate();
}