package com.jusfoun.ydylsz.service;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.mapper.CornMapper;
import com.jusfoun.ydylsz.vo.CornVO;
import com.jusfoun.ydylsz.vo.WheatVO;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;

@Service
public class CornService {


	@Autowired
	private CornMapper cornMapper;

	public PageInfo<CornVO> page(String cfbm, Integer pageNo, Integer pageSize,String startDate,String endDate) {
		PageHelper.startPage(pageNo, pageSize);
		List<CornVO> cornVOS = cornMapper.listnew(cfbm,startDate,endDate);
		for(CornVO cornVO:cornVOS){
			if("1".equals(cornVO.getSjlx())){
				CornVO wheat = cornMapper.selectById(cornVO.getId());
				BeanUtils.copyProperties(wheat,cornVO);
			}
		}
		return new PageInfo<CornVO>(cornVOS);
	}

    public List<CornVO> impCorn(String cfbm, String startDate, String endDate) {
		List<CornVO> wheatVOS = cornMapper.impCorn(cfbm,startDate,endDate);
		return wheatVOS;
    }

	public void imp() {
		List<CornVO> wheatVOS = cornMapper.listadd();
		for(CornVO wheatVO:wheatVOS){
			cornMapper.insert(wheatVO);
		}
	}

    public void expCorn() {
		cornMapper.deleteAll();
		List<CornVO> wheatVOS = cornMapper.listadd();
		for(CornVO wheatVO:wheatVOS){
			cornMapper.insert(wheatVO);
		}
    }
}
