package com.jusfoun.ydylsz.service;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.mapper.FcbgzMapper;
import com.jusfoun.ydylsz.vo.FcbgzVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author by PIG
 * 2023/5/25 10
 */
@Service
public class FcbgzService {

    @Autowired
    FcbgzMapper fcbgzMapper;


    public PageInfo<FcbgzVO> pageInfo(FcbgzVO fcbgzVO, int pageNum, int pageSize) {
        PageHelper.startPage(pageNum, pageSize);

        List<FcbgzVO> list = fcbgzMapper.listFcbgz(fcbgzVO);
        PageInfo<FcbgzVO> pageInfo = new PageInfo<>(list, 10);
        return pageInfo;
    }

    public FcbgzVO getFcbgzById(String id) {
        return fcbgzMapper.getFcbgzById(id);
    }
}
