package com.jusfoun.ydylsz.service;

import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.mapper.HumidityMapper;
import com.jusfoun.ydylsz.vo.HumidityVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashSet;
import java.util.List;
import java.util.Set;

@Service
public class HumidityService {

    @Autowired
    private HumidityMapper humidityMapper;

    public PageInfo<HumidityVO> getWarningList(Integer pageNo, Integer pageSize,Integer type,String qymc) {
        List<HumidityVO> list = humidityMapper.getWarningList(type,qymc);
        HashSet<String> cf=new HashSet<String>();
        if(!list.isEmpty()) {
            list.stream().forEach(detail->{
                cf.add(detail.getOrgId()+detail.getCfbm());
            });
            list.get(0).setCfs(cf.size());
        }
        return new PageInfo<HumidityVO>(list);
    }
}
