package com.jusfoun.ydylsz.vo;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class TemperatureAndHumidityCheck {

	@ApiModelProperty(value = "库区国标代码")
    private String kqdm;

	@ApiModelProperty(value = "仓房国标编码")
    private String ch;

	@ApiModelProperty(value = "仓高温")
    private BigDecimal cgw;

	@ApiModelProperty(value = "仓低温")
    private BigDecimal cdw;

	@ApiModelProperty(value = "平均温度")
    private BigDecimal cavg;

	@ApiModelProperty(value = "仓湿")
    private BigDecimal cs;

	@ApiModelProperty(value = "温度预警预警值")
    private String wdyjyjz;

	@ApiModelProperty(value = "温度报警值")
	private BigDecimal wdbjz;
	
	@ApiModelProperty(value = "湿度报警值")
	private BigDecimal sdbjz;

	@ApiModelProperty(value = "监测时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date jcsj;

	@ApiModelProperty(value = "测温点数据json")
	private String points;
}
