package com.jusfoun.ydylsz.mapper;

import com.jusfoun.ydylsz.vo.fumigation.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author qingsong.han
 * @description:
 * @create 2023-11-01 17:37
 */
@Mapper
public interface FumigationMapper {
    List<FumigationDTO> singleFumigation(@Param("cfbh") String cfbh);

    List<FumigationDTO> pageListFumigation(Map<String, Object> map);

    List<StoreHouseDTO> getStoreHouseList(@Param("kddm") String kddm);

    FumigationForrecord getForRecordById(@Param("id") String id);

    FumigationProcess getProcessById(@Param("id") String id);

    FumigationAfter getAfterById(@Param("id") String id);

    String getGroupEnum(@Param("split") String split);
}
