package com.jusfoun.ydylsz.mapper;

import java.util.List;
import java.util.Map;

import com.jusfoun.ydylsz.vo.*;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import org.apache.ibatis.annotations.Select;

@Mapper
public interface TemperatureMapper {

	List<TemperatureVO> list(@Param("hwbm")String hwbm);

	List<TemperatureVO> chat(TemperatureVO temperatureVO);

	TemperatureVO select(@Param("id")String id);

	TemperatureVO selectVo(TemperatureVO temperatureVO);

	List<TemperatureVO> listnew(@Param("hwbm")String hwbm);

	List<BadTemp> badTemperature();

	List<BadTemp> badCamera();

	List<String> getBgy(String hwbm);

	List<TemperatureJJDVO> getJddInfoList(@Param("orgId")String orgId,@Param("id")String id);

    ThresholdVO getThreshold(@Param("orgId") String orgId, @Param("storehouseCode") String storehouseCode);

    List<TemperatureVO> listLatestTemperature(Map<String, Object> params);

    List<TemperatureVO> listAllTemperatureByOrg(String orgId);

    List<TemperatureVO> pageBadTemperatureByOrg(@Param("orgId") String orgId,
                                                @Param("isNotCount") boolean isNotCount,
                                                @Param("badPointIdList") List<String> badPointIdList);

    String getOrgAreaCode(@Param("userCode") String userCode);

	List<StorageBadTemperaturePointDTO> storageBadTemperaturepoint(Map<String, Object> params);
}
