package com.jusfoun.ydylsz.service;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.mapper.StoragePreAlarmMapper;
import com.jusfoun.ydylsz.vo.StoragePreAlarmVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;

@Service
public class StoragePreAlarmService {

    @Autowired
    private StoragePreAlarmMapper alarmMapper;

    public boolean dealStoragePreAlarm(StoragePreAlarmVO vo) {

        return alarmMapper.dealStoragePreAlarm(vo) > 0 ? true:false;
    }

    public Object getStoragePreAlarmPageList(Integer pageNum, Integer pageSize, Integer clzt, String ccqy, String bjlx) {

        PageHelper.startPage(pageNum, pageSize);
        List<StoragePreAlarmVO> list = alarmMapper.selectStoragePreAlarmList(clzt,ccqy,bjlx);
        return new PageInfo(list);
    }
}
