package com.jusfoun.ydylsz.vo;

import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author by PIG
 * 2023/5/25 09
 */
@Data
public class FcbgzVO implements Serializable {

    @Column(name = "id")
    private String id;
    @Column(name = "house_id")
    private String houseId;
    @Column(name = "warehouse_id")
    private String warehouseId;
    @Column(name = "storehouse_type")
    private String storehouseType;
    @Column(name = "lspz")
    private String lspz;
    @Column(name = "nature")
    private String nature;
    @Column(name = "levels")
    private String levels;
    @Column(name = "production_date")
    private Date productionDate;
    @Column(name = "house_temp")
    private String houseTemp;
    @Column(name = "house_humidity")
    private String houseHumidity;
    @Column(name = "storage")
    private String storage; // 存储方式
    @Column(name = "specifications")
    private String specifications;
    @Column(name = "storage_quantity")
    private String storageQuantity;
    @Column(name = "outbound_quantity")
    private String outboundQuantity;
    @Column(name = "inventory_quantity")
    private BigDecimal inventoryQuantity;
    @Column(name = "record_date")
    private Date recordDate;
    @Column(name = "liquid_level")
    private String liquidLevel;
    @Column(name = "tank_diameter")
    private String tankDiameter;
    @Column(name = "others")
    private String others;
    @Column(name = "delete_state")
    private String deleteState;
    @Column(name = "approve_people")
    private String approvePeople;
    @Column(name = "creater")
    private String creater;
    @Column(name = "create_time")
    private Date createTime;
    @Column(name = "org_id")
    private Integer orgId;
    @Column(name = "updatetime")
    private Date updatetime;
    @Column(name = "lsmxpz")
    private String lsmxpz;
    @Column(name = "places")
    private String places;
    @Column(name = "rkjs")
    private Integer rkjs;
    @Column(name = "ckjs")
    private Integer ckjs;
    @Column(name = "sfdyc")
    private String sfdyc;
    @Column(name = "zylx")
    private String zylx; // 作业类型

    private String citycouncilCode;
    private String hwbm;

    @Column(name = "org_name")
    private String orgName;
    @Column(name = "storehouse_name")
    private String storehouseName;
    @Column(name = "warehouse_name")
    private String warehouseName;
    @Column(name = "storehouse_type_name")
    private String storehouseTypeName;
    @Column(name = "lspz_name")
    private String lspzName;
    @Column(name = "nature_name")
    private String natureName;
    @Column(name = "levels_name")
    private String levelsName;
    @Column(name = "storage_name")
    private String storageName;
    @Column(name = "lsmxpz_name")
    private String lsmxpzName;
    @Column(name = "places_name")
    private String placesName;
}
