package com.jusfoun.ydylsz.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author by PIG
 * 2022/12/14 14
 */
@AllArgsConstructor
@ApiModel(value = "预警告警_设备故障_测温故障")
@Builder
@Data
@NoArgsConstructor
public class StorageBadTemperaturePointDTO {

    @ApiModelProperty(value = "库区编码")
    private String kqbm;

    @ApiModelProperty(value = "仓房编码")
    private String cfbm;

    @ApiModelProperty(value = "仓房名称")
    private String ch;

    @ApiModelProperty(value = "故障测温点数量")
    private long gzcwdsl;

    @ApiModelProperty(value = "报警日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date bjsj;

    @ApiModelProperty(value = "库区名称")
    private String kqmc;

    private String tPoints;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private String tTime;

    @ApiModelProperty(value = "库区代码")
    private String kqdm;


}
